require 'maxminddb'
require 'json'

db = MaxMindDB.new('./../GeoLite2-City.mmdb')
ret = db.lookup('74.125.225.224')

data = {
	:geoip => {
		:city 		=> {
			:geoname_id 		=> ret.city.geoname_id,
			:name     			=> ret.city.name
		},
		:continent 	=> {
			:code       	=> ret.continent.code,
			:geoname_id 	=> ret.continent.geoname_id,
			:name	      	=> ret.continent.name
		},
		:country 	=> {
			:code       	=> ret.country.code,
			:geoname_id		=> ret.country.geoname_id,
			:name	      	=> ret.country.name
		},
		:location	=> {
	#		:accuracy_radius	=> "ret.location.accuracy_radius",
			:location			=> [
					ret.location.latitude,
					ret.location.longitude
				],
			:metro_code			=> ret.location.metro_code,
			:time_zone 			=> ret.location.time_zone
		},
		:postal	=> {
			:code 				=> ret.postal.code
		},
		:registered_country	=> {
			:geoname_id			=> ret.registered_country.geoname_id,
			:iso_code			=> ret.registered_country.iso_code,
			:name				=> ret.registered_country.name
		},
		:subdivisions	=> {
	#		:geoname_id 		=> ret.subdivisions.geoname_id,
	#		:iso_code			=> ret.subdivisions.iso_code,
	#		:name				=> ret.subdivisions.name
		}
	}
}


puts JSON.pretty_generate(data)

=begin
puts ret.city.geoname_id 
puts ret.city.name

puts ret.continent.code
puts ret.continent.geoname_id
puts ret.continent.name

puts ret.country.geoname_id
puts ret.country.iso_code
puts ret.country.name

puts ret.location.accuracy_radius
puts ret.location.latitude
puts ret.location.longitude
puts ret.location.metro_code
puts ret.location.time_zone

puts ret.postal.code

puts ret.registered_country.geoname_id
puts ret.registered_country.iso_code
puts ret.registered_country.name

puts ret.subdivisions.geoname_id
puts ret.subdivisions.iso_code
puts ret.subdivisions.name
=end